package com.qmth.sop.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 签到派单信息
 * @Author: CaoZixuan
 * @Date: 2023-09-05
 */
public class SopCrmInfo {
    @ApiModelProperty("sop单号")
    private String sopNo;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("流程id")
    private Long flowId;

    @ApiModelProperty("派单号")
    private String crmNo;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("服务单元id")
    private Long serviceUnitId;

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }
}
